Lucene search

K
cvelistGitHub_MCVELIST:CVE-2023-40188
HistoryAug 31, 2023 - 9:32 p.m.

CVE-2023-40188 Out-Of-Bounds Read in FreeRDP

2023-08-3121:32:55
CWE-125
GitHub_M
www.cve.org
1
freerdp
remote desktop protocol
apache license
out-of-bounds read
general_lumatoyuv444
data length
error
upgrade

5.3 Medium

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

LOW

CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L

9.6 High

AI Score

Confidence

High

0.001 Low

EPSS

Percentile

34.0%

FreeRDP is a free implementation of the Remote Desktop Protocol (RDP), released under the Apache license. Affected versions are subject to an Out-Of-Bounds Read in the general_LumaToYUV444 function. This Out-Of-Bounds Read occurs because processing is done on the in variable without checking if it contains data of sufficient length. Insufficient data for the in variable may cause errors or crashes. This issue has been addressed in versions 2.11.0 and 3.0.0-beta3. Users are advised to upgrade. There are no known workarounds for this issue.

CNA Affected

[
  {
    "vendor": "FreeRDP",
    "product": "FreeRDP",
    "versions": [
      {
        "version": "< 2.11.0",
        "status": "affected"
      },
      {
        "version": ">= 3.0.0-beta1, < 3.0.0-beta3",
        "status": "affected"
      }
    ]
  }
]

5.3 Medium

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

LOW

CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L

9.6 High

AI Score

Confidence

High

0.001 Low

EPSS

Percentile

34.0%